#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 25. Graphical Environment Libraries

- Prev

  Vulkan-Headers-1.3.277

- Next

  WebKitGTK-2.42.5

- Up
- Home

# Vulkan-Loader-1.3.277

## Introduction to Vulkan-Loader

The Vulkan-Loader package contains a library which provides the Vulkan API and provides core support for graphics drivers for Vulkan.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/KhronosGroup/Vulkan-Loader/archive/refs/tags/v1.3.277/Vulkan-Loader-1.3.277.tar.gz

- Download MD5 sum: a2ec480f108abfcd0ad50df3883926c6

- Download size: 1.6 MB

- Estimated disk space required: 9.7 MB

- Estimated build time: 0.1 SBU

### Vulkan-loader Dependencies

#### Required

CMake-3.28.3, Vulkan-Headers-1.3.277, Wayland-1.22.0, and Xorg Libraries

#### Recommended (Runtime)

Mesa-24.0.1 (for Vulkan drivers)

## Installation of Vulkan-Loader

### Note

If this package is being installed on a system where Mesa has already been installed previously, please rebuild Mesa-24.0.1 after this package to install Vulkan graphics drivers.

Install Vulkan-Loader by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr       \
          -DCMAKE_BUILD_TYPE=Release        \
          -DCMAKE_SKIP_RPATH=TRUE           \
          -G Ninja .. &&
    ninja

This package does not come with a working test suite.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: libvulkan.so
Installed Directories: /usr/lib/cmake/VulkanLoader

### Short Descriptions

`libvulkan.so` | provides the Vulkan API and core support for graphics drivers

- Prev

  Vulkan-Headers-1.3.277

- Next

  WebKitGTK-2.42.5

- Up
- Home